Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 3470 - Odd output from "whereis"
Summary: Odd output from "whereis"
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: util-linux
Version: 6.0
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Jay Turner
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-06-15 06:09 UTC by Edward Kuns
Modified: 2015-01-07 23:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-06-29 19:09:33 UTC


Attachments (Terms of Use)

Description Edward Kuns 1999-06-15 06:09:23 UTC
I have /opt symlinked to /usr/opt.  Since upgrading to Red
Hat 6.0, the 'whereis' command seemingly looks in
"/opt/../bin" as well as "/usr/bin":


kilroy> whereis whereis
whereis: /usr/bin/whereis /opt/../bin/whereis
/usr/man/man1/whereis.1

If I "PATH=/bin:/usr/bin" I get the same output above, so
this isn't anything in my PATH variable.

Comment 1 Jeff Johnson 1999-06-15 11:44:59 UTC
A "strings /bin/whereis" indicates that whereis looks in /opt/*/bin.
The ".." should be ignored.


Note You need to log in before you can comment on or make changes to this bug.